/*! Congo v2.4.1 | MIT License | https://github.com/jpanther/congo */

/*! tailwindcss v3.2.4 | MIT License | https://tailwindcss.com */

/*
1. Prevent padding and border from affecting element width. (https://github.com/mozdevs/cssremedy/issues/4)
2. Allow adding a border to an element by just adding a border-width. (https://github.com/tailwindcss/tailwindcss/pull/116)
*/

*,
::before,
::after {
  box-sizing: border-box;
  /* 1 */
  border-width: 0;
  /* 2 */
  border-style: solid;
  /* 2 */
  border-color: currentColor;
  /* 2 */
}

::before,
::after {
  --tw-content: '';
}

/*
1. Use a consistent sensible line-height in all browsers.
2. Prevent adjustments of font size after orientation changes in iOS.
3. Use a more readable tab size.
4. Use the user's configured `sans` font-family by default.
5. Use the user's configured `sans` font-feature-settings by default.
*/

html {
  line-height: 1.5;
  /* 1 */
  -webkit-text-size-adjust: 100%;
  /* 2 */
  -moz-tab-size: 4;
  /* 3 */
  -o-tab-size: 4;
     tab-size: 4;
  /* 3 */
  font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  /* 4 */
  font-feature-settings: normal;
  /* 5 */
}

/*
1. Remove the margin in all browsers.
2. Inherit line-height from `html` so users can set them as a class directly on the `html` element.
*/

body {
  margin: 0;
  /* 1 */
  line-height: inherit;
  /* 2 */
}

/*
1. Add the correct height in Firefox.
2. Correct the inheritance of border color in Firefox. (https://bugzilla.mozilla.org/show_bug.cgi?id=190655)
3. Ensure horizontal rules are visible by default.
*/

hr {
  height: 0;
  /* 1 */
  color: inherit;
  /* 2 */
  border-top-width: 1px;
  /* 3 */
}

/*
Add the correct text decoration in Chrome, Edge, and Safari.
*/

abbr:where([title]) {
  -webkit-text-decoration: underline dotted;
          text-decoration: underline dotted;
}

/*
Remove the default font size and weight for headings.
*/

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit;
}

/*
Reset links to optimize for opt-in styling instead of opt-out.
*/

a {
  color: inherit;
  text-decoration: inherit;
}

/*
Add the correct font weight in Edge and Safari.
*/

b,
strong {
  font-weight: bolder;
}

/*
1. Use the user's configured `mono` font family by default.
2. Correct the odd `em` font sizing in all browsers.
*/

code,
kbd,
samp,
pre {
  font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  /* 1 */
  font-size: 1em;
  /* 2 */
}

/*
Add the correct font size in all browsers.
*/

small {
  font-size: 80%;
}

/*
Prevent `sub` and `sup` elements from affecting the line height in all browsers.
*/

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/*
1. Remove text indentation from table contents in Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=999088, https://bugs.webkit.org/show_bug.cgi?id=201297)
2. Correct table border color inheritance in all Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=935729, https://bugs.webkit.org/show_bug.cgi?id=195016)
3. Remove gaps between table borders by default.
*/

table {
  text-indent: 0;
  /* 1 */
  border-color: inherit;
  /* 2 */
  border-collapse: collapse;
  /* 3 */
}

/*
1. Change the font styles in all browsers.
2. Remove the margin in Firefox and Safari.
3. Remove default padding in all browsers.
*/

button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  /* 1 */
  font-size: 100%;
  /* 1 */
  font-weight: inherit;
  /* 1 */
  line-height: inherit;
  /* 1 */
  color: inherit;
  /* 1 */
  margin: 0;
  /* 2 */
  padding: 0;
  /* 3 */
}

/*
Remove the inheritance of text transform in Edge and Firefox.
*/

button,
select {
  text-transform: none;
}

/*
1. Correct the inability to style clickable types in iOS and Safari.
2. Remove default button styles.
*/

button,
[type='button'],
[type='reset'],
[type='submit'] {
  -webkit-appearance: button;
  /* 1 */
  background-color: transparent;
  /* 2 */
  background-image: none;
  /* 2 */
}

/*
Use the modern Firefox focus style for all focusable elements.
*/

:-moz-focusring {
  outline: auto;
}

/*
Remove the additional `:invalid` styles in Firefox. (https://github.com/mozilla/gecko-dev/blob/2f9eacd9d3d995c937b4251a5557d95d494c9be1/layout/style/res/forms.css#L728-L737)
*/

:-moz-ui-invalid {
  box-shadow: none;
}

/*
Add the correct vertical alignment in Chrome and Firefox.
*/

progress {
  vertical-align: baseline;
}

/*
Correct the cursor style of increment and decrement buttons in Safari.
*/

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
  height: auto;
}

/*
1. Correct the odd appearance in Chrome and Safari.
2. Correct the outline style in Safari.
*/

[type='search'] {
  -webkit-appearance: textfield;
  /* 1 */
  outline-offset: -2px;
  /* 2 */
}

/*
Remove the inner padding in Chrome and Safari on macOS.
*/

::-webkit-search-decoration {
  -webkit-appearance: none;
}

/*
1. Correct the inability to style clickable types in iOS and Safari.
2. Change font properties to `inherit` in Safari.
*/

::-webkit-file-upload-button {
  -webkit-appearance: button;
  /* 1 */
  font: inherit;
  /* 2 */
}

/*
Add the correct display in Chrome and Safari.
*/

summary {
  display: list-item;
}

/*
Removes the default spacing and border for appropriate elements.
*/

blockquote,
dl,
dd,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
figure,
p,
pre {
  margin: 0;
}

fieldset {
  margin: 0;
  padding: 0;
}

legend {
  padding: 0;
}

ol,
ul,
menu {
  list-style: none;
  margin: 0;
  padding: 0;
}

/*
Prevent resizing textareas horizontally by default.
*/

textarea {
  resize: vertical;
}

/*
1. Reset the default placeholder opacity in Firefox. (https://github.com/tailwindlabs/tailwindcss/issues/3300)
2. Set the default placeholder color to the user's configured gray 400 color.
*/

input::-moz-placeholder, textarea::-moz-placeholder {
  opacity: 1;
  /* 1 */
  color: #9ca3af;
  /* 2 */
}

input::placeholder,
textarea::placeholder {
  opacity: 1;
  /* 1 */
  color: #9ca3af;
  /* 2 */
}

/*
Set the default cursor for buttons.
*/

button,
[role="button"] {
  cursor: pointer;
}

/*
Make sure disabled buttons don't get the pointer cursor.
*/

:disabled {
  cursor: default;
}

/*
1. Make replaced elements `display: block` by default. (https://github.com/mozdevs/cssremedy/issues/14)
2. Add `vertical-align: middle` to align replaced elements more sensibly by default. (https://github.com/jensimmons/cssremedy/issues/14#issuecomment-634934210)
   This can trigger a poorly considered lint error in some tools but is included by design.
*/

img,
svg,
video,
canvas,
audio,
iframe,
embed,
object {
  display: block;
  /* 1 */
  vertical-align: middle;
  /* 2 */
}

/*
Constrain images and videos to the parent width and preserve their intrinsic aspect ratio. (https://github.com/mozdevs/cssremedy/issues/14)
*/

img,
video {
  max-width: 100%;
  height: auto;
}

/* Make elements with the HTML hidden attribute stay hidden by default */

[hidden] {
  display: none;
}

*, ::before, ::after {
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x:  ;
  --tw-pan-y:  ;
  --tw-pinch-zoom:  ;
  --tw-scroll-snap-strictness: proximity;
  --tw-ordinal:  ;
  --tw-slashed-zero:  ;
  --tw-numeric-figure:  ;
  --tw-numeric-spacing:  ;
  --tw-numeric-fraction:  ;
  --tw-ring-inset:  ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur:  ;
  --tw-brightness:  ;
  --tw-contrast:  ;
  --tw-grayscale:  ;
  --tw-hue-rotate:  ;
  --tw-invert:  ;
  --tw-saturate:  ;
  --tw-sepia:  ;
  --tw-drop-shadow:  ;
  --tw-backdrop-blur:  ;
  --tw-backdrop-brightness:  ;
  --tw-backdrop-contrast:  ;
  --tw-backdrop-grayscale:  ;
  --tw-backdrop-hue-rotate:  ;
  --tw-backdrop-invert:  ;
  --tw-backdrop-opacity:  ;
  --tw-backdrop-saturate:  ;
  --tw-backdrop-sepia:  ;
}

::backdrop {
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x:  ;
  --tw-pan-y:  ;
  --tw-pinch-zoom:  ;
  --tw-scroll-snap-strictness: proximity;
  --tw-ordinal:  ;
  --tw-slashed-zero:  ;
  --tw-numeric-figure:  ;
  --tw-numeric-spacing:  ;
  --tw-numeric-fraction:  ;
  --tw-ring-inset:  ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur:  ;
  --tw-brightness:  ;
  --tw-contrast:  ;
  --tw-grayscale:  ;
  --tw-hue-rotate:  ;
  --tw-invert:  ;
  --tw-saturate:  ;
  --tw-sepia:  ;
  --tw-drop-shadow:  ;
  --tw-backdrop-blur:  ;
  --tw-backdrop-brightness:  ;
  --tw-backdrop-contrast:  ;
  --tw-backdrop-grayscale:  ;
  --tw-backdrop-hue-rotate:  ;
  --tw-backdrop-invert:  ;
  --tw-backdrop-opacity:  ;
  --tw-backdrop-saturate:  ;
  --tw-backdrop-sepia:  ;
}

.prose {
  color: var(--tw-prose-body);
  max-width: 65ch;
}

.prose :where([class~="lead"]):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-lead);
  font-size: 1.25em;
  line-height: 1.6;
  margin-top: 1.2em;
  margin-bottom: 1.2em;
}

.prose :where(a):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-links);
  text-decoration: underline;
  font-weight: 500;
  text-decoration-color: rgba(var(--color-primary-300), 1);
}

.prose :where(a):not(:where([class~="not-prose"] *)):hover {
  color: rgba(var(--color-neutral), 1);
  text-decoration: none;
  background-color: rgba(var(--color-primary-600), 1);
  border-radius: 0.09rem;
}

.prose :where(strong):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-bold);
  font-weight: 600;
}

.prose :where(a strong):not(:where([class~="not-prose"] *)) {
  color: inherit;
}

.prose :where(blockquote strong):not(:where([class~="not-prose"] *)) {
  color: inherit;
}

.prose :where(thead th strong):not(:where([class~="not-prose"] *)) {
  color: inherit;
}

.prose :where(ol):not(:where([class~="not-prose"] *)) {
  list-style-type: decimal;
  margin-top: 1.25em;
  margin-bottom: 1.25em;
  padding-left: 1.625em;
}

.prose :where(ol[type="A"]):not(:where([class~="not-prose"] *)) {
  list-style-type: upper-alpha;
}

.prose :where(ol[type="a"]):not(:where([class~="not-prose"] *)) {
  list-style-type: lower-alpha;
}

.prose :where(ol[type="A" s]):not(:where([class~="not-prose"] *)) {
  list-style-type: upper-alpha;
}

.prose :where(ol[type="a" s]):not(:where([class~="not-prose"] *)) {
  list-style-type: lower-alpha;
}

.prose :where(ol[type="I"]):not(:where([class~="not-prose"] *)) {
  list-style-type: upper-roman;
}

.prose :where(ol[type="i"]):not(:where([class~="not-prose"] *)) {
  list-style-type: lower-roman;
}

.prose :where(ol[type="I" s]):not(:where([class~="not-prose"] *)) {
  list-style-type: upper-roman;
}

.prose :where(ol[type="i" s]):not(:where([class~="not-prose"] *)) {
  list-style-type: lower-roman;
}

.prose :where(ol[type="1"]):not(:where([class~="not-prose"] *)) {
  list-style-type: decimal;
}

.prose :where(ul):not(:where([class~="not-prose"] *)) {
  list-style-type: disc;
  margin-top: 1.25em;
  margin-bottom: 1.25em;
  padding-left: 1.625em;
}

.prose :where(ol > li):not(:where([class~="not-prose"] *))::marker {
  font-weight: 400;
  color: var(--tw-prose-counters);
}

.prose :where(ul > li):not(:where([class~="not-prose"] *))::marker {
  color: var(--tw-prose-bullets);
}

.prose :where(hr):not(:where([class~="not-prose"] *)) {
  border-color: var(--tw-prose-hr);
  border-top-width: 1px;
  margin-top: 3em;
  margin-bottom: 3em;
}

.prose :where(blockquote):not(:where([class~="not-prose"] *)) {
  font-weight: 500;
  font-style: italic;
  color: var(--tw-prose-quotes);
  border-left-width: 0.25rem;
  border-left-color: var(--tw-prose-quote-borders);
  quotes: "\201C""\201D""\2018""\2019";
  margin-top: 1.6em;
  margin-bottom: 1.6em;
  padding-left: 1em;
}

.prose :where(blockquote p:first-of-type):not(:where([class~="not-prose"] *))::before {
  content: open-quote;
}

.prose :where(blockquote p:last-of-type):not(:where([class~="not-prose"] *))::after {
  content: close-quote;
}

.prose :where(h1):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-headings);
  font-weight: 800;
  font-size: 2.25em;
  margin-top: 0;
  margin-bottom: 0.8888889em;
  line-height: 1.1111111;
}

.prose :where(h1 strong):not(:where([class~="not-prose"] *)) {
  font-weight: 900;
  color: inherit;
}

.prose :where(h2):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-headings);
  font-weight: 700;
  font-size: 1.5em;
  margin-top: 2em;
  margin-bottom: 1em;
  line-height: 1.3333333;
}

.prose :where(h2 strong):not(:where([class~="not-prose"] *)) {
  font-weight: 800;
  color: inherit;
}

.prose :where(h3):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-headings);
  font-weight: 600;
  font-size: 1.25em;
  margin-top: 1.6em;
  margin-bottom: 0.6em;
  line-height: 1.6;
}

.prose :where(h3 strong):not(:where([class~="not-prose"] *)) {
  font-weight: 700;
  color: inherit;
}

.prose :where(h4):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-headings);
  font-weight: 600;
  margin-top: 1.5em;
  margin-bottom: 0.5em;
  line-height: 1.5;
}

.prose :where(h4 strong):not(:where([class~="not-prose"] *)) {
  font-weight: 700;
  color: inherit;
}

.prose :where(img):not(:where([class~="not-prose"] *)) {
  margin-top: 2em;
  margin-bottom: 2em;
}

.prose :where(figure > *):not(:where([class~="not-prose"] *)) {
  margin-top: 0;
  margin-bottom: 0;
}

.prose :where(figcaption):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-captions);
  font-size: 0.875em;
  line-height: 1.4285714;
  margin-top: 0.8571429em;
}

.prose :where(code):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-code);
  font-weight: 600;
  font-size: 0.875em;
}

.prose :where(code):not(:where([class~="not-prose"] *))::before {
  content: "`";
}

.prose :where(code):not(:where([class~="not-prose"] *))::after {
  content: "`";
}

.prose :where(a code):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-code);
}

.prose :where(h1 code):not(:where([class~="not-prose"] *)) {
  color: inherit;
}

.prose :where(h2 code):not(:where([class~="not-prose"] *)) {
  color: inherit;
  font-size: 0.875em;
}

.prose :where(h3 code):not(:where([class~="not-prose"] *)) {
  color: inherit;
  font-size: 0.9em;
}

.prose :where(h4 code):not(:where([class~="not-prose"] *)) {
  color: inherit;
}

.prose :where(blockquote code):not(:where([class~="not-prose"] *)) {
  color: inherit;
}

.prose :where(thead th code):not(:where([class~="not-prose"] *)) {
  color: inherit;
}

.prose :where(pre):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-pre-code);
  background-color: var(--tw-prose-pre-bg);
  overflow-x: auto;
  font-weight: 400;
  font-size: 0.875em;
  line-height: 1.7142857;
  margin-top: 1.7142857em;
  margin-bottom: 1.7142857em;
  border-radius: 0.375rem;
  padding-top: 0.8571429em;
  padding-right: 1.1428571em;
  padding-bottom: 0.8571429em;
  padding-left: 1.1428571em;
}

.prose :where(pre code):not(:where([class~="not-prose"] *)) {
  background-color: transparent;
  border-width: 0;
  border-radius: 0;
  padding: 0;
  font-weight: inherit;
  color: inherit;
  font-size: inherit;
  font-family: inherit;
  line-height: inherit;
}

.prose :where(pre code):not(:where([class~="not-prose"] *))::before {
  content: none;
}

.prose :where(pre code):not(:where([class~="not-prose"] *))::after {
  content: none;
}

.prose :where(table):not(:where([class~="not-prose"] *)) {
  width: 100%;
  table-layout: auto;
  text-align: left;
  margin-top: 2em;
  margin-bottom: 2em;
  font-size: 0.875em;
  line-height: 1.7142857;
}

.prose :where(thead):not(:where([class~="not-prose"] *)) {
  border-bottom-width: 1px;
  border-bottom-color: var(--tw-prose-th-borders);
}

.prose :where(thead th):not(:where([class~="not-prose"] *)) {
  color: var(--tw-prose-headings);
  font-weight: 600;
  vertical-align: bottom;
  padding-right: 0.5714286em;
  padding-bottom: 0.5714286em;
  padding-left: 0.5714286em;
}

.prose :where(tbody tr):not(:where([class~="not-prose"] *)) {
  border-bottom-width: 1px;
  border-bottom-color: var(--tw-prose-td-borders);
}

.prose :where(tbody tr:last-child):not(:where([class~="not-prose"] *)) {
  border-bottom-width: 0;
}

.prose :where(tbody td):not(:where([class~="not-prose"] *)) {
  vertical-align: baseline;
}

.prose :where(tfoot):not(:where([class~="not-prose"] *)) {
  border-top-width: 1px;
  border-top-color: var(--tw-prose-th-borders);
}

.prose :where(tfoot td):not(:where([class~="not-prose"] *)) {
  vertical-align: top;
}

.prose {
  --tw-prose-body: rgba(var(--color-neutral-700), 1);
  --tw-prose-headings: rgba(var(--color-neutral-800), 1);
  --tw-prose-lead: rgba(var(--color-neutral-500), 1);
  --tw-prose-links: rgba(var(--color-primary-700), 1);
  --tw-prose-bold: rgba(var(--color-neutral-900), 1);
  --tw-prose-counters: rgba(var(--color-neutral-800), 1);
  --tw-prose-bullets: rgba(var(--color-neutral-500), 1);
  --tw-prose-hr: rgba(var(--color-neutral-200), 1);
  --tw-prose-quotes: rgba(var(--color-neutral-700), 1);
  --tw-prose-quote-borders: rgba(var(--color-primary-200), 1);
  --tw-prose-captions: rgba(var(--color-neutral-500), 1);
  --tw-prose-code: rgba(var(--color-secondary-700), 1);
  --tw-prose-pre-code: rgba(var(--color-neutral-700), 1);
  --tw-prose-pre-bg: rgba(var(--color-neutral-50), 1);
  --tw-prose-th-borders: rgba(var(--color-neutral-500), 1);
  --tw-prose-td-borders: rgba(var(--color-neutral-300), 1);
  --tw-prose-invert-body: rgba(var(--color-neutral-300), 1);
  --tw-prose-invert-headings: rgba(var(--color-neutral-50), 1);
  --tw-prose-invert-lead: rgba(var(--color-neutral-500), 1);
  --tw-prose-invert-links: rgba(var(--color-primary-400), 1);
  --tw-prose-invert-bold: rgba(var(--color-neutral), 1);
  --tw-prose-invert-counters: rgba(var(--color-neutral-400), 1);
  --tw-prose-invert-bullets: rgba(var(--color-neutral-600), 1);
  --tw-prose-invert-hr: rgba(var(--color-neutral-500), 1);
  --tw-prose-invert-quotes: rgba(var(--color-neutral-200), 1);
  --tw-prose-invert-quote-borders: rgba(var(--color-primary-900), 1);
  --tw-prose-invert-captions: rgba(var(--color-neutral-400), 1);
  --tw-prose-invert-code: rgba(var(--color-secondary-400), 1);
  --tw-prose-invert-pre-code: rgba(var(--color-neutral-200), 1);
  --tw-prose-invert-pre-bg: rgba(var(--color-neutral-700), 1);
  --tw-prose-invert-th-borders: rgba(var(--color-neutral-500), 1);
  --tw-prose-invert-td-borders: rgba(var(--color-neutral-700), 1);
  font-size: 1rem;
  line-height: 1.1;
}

.prose :where(p):not(:where([class~="not-prose"] *)) {
  margin-top: 1.25em;
  margin-bottom: 1.25em;
}

.prose :where(video):not(:where([class~="not-prose"] *)) {
  margin-top: 2em;
  margin-bottom: 2em;
}

.prose :where(figure):not(:where([class~="not-prose"] *)) {
  margin-top: 2em;
  margin-bottom: 2em;
}

.prose :where(li):not(:where([class~="not-prose"] *)) {
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

.prose :where(ol > li):not(:where([class~="not-prose"] *)) {
  padding-left: 0.375em;
}

.prose :where(ul > li):not(:where([class~="not-prose"] *)) {
  padding-left: 0.375em;
}

.prose :where(.prose > ul > li p):not(:where([class~="not-prose"] *)) {
  margin-top: 0.75em;
  margin-bottom: 0.75em;
}

.prose :where(.prose > ul > li > *:first-child):not(:where([class~="not-prose"] *)) {
  margin-top: 1.25em;
}

.prose :where(.prose > ul > li > *:last-child):not(:where([class~="not-prose"] *)) {
  margin-bottom: 1.25em;
}

.prose :where(.prose > ol > li > *:first-child):not(:where([class~="not-prose"] *)) {
  margin-top: 1.25em;
}

.prose :where(.prose > ol > li > *:last-child):not(:where([class~="not-prose"] *)) {
  margin-bottom: 1.25em;
}

.prose :where(ul ul, ul ol, ol ul, ol ol):not(:where([class~="not-prose"] *)) {
  margin-top: 0.75em;
  margin-bottom: 0.75em;
}

.prose :where(hr + *):not(:where([class~="not-prose"] *)) {
  margin-top: 0;
}

.prose :where(h2 + *):not(:where([class~="not-prose"] *)) {
  margin-top: 0;
}

.prose :where(h3 + *):not(:where([class~="not-prose"] *)) {
  margin-top: 0;
}

.prose :where(h4 + *):not(:where([class~="not-prose"] *)) {
  margin-top: 0;
}

.prose :where(thead th:first-child):not(:where([class~="not-prose"] *)) {
  padding-left: 0;
}

.prose :where(thead th:last-child):not(:where([class~="not-prose"] *)) {
  padding-right: 0;
}

.prose :where(tbody td, tfoot td):not(:where([class~="not-prose"] *)) {
  padding-top: 0.5714286em;
  padding-right: 0.5714286em;
  padding-bottom: 0.5714286em;
  padding-left: 0.5714286em;
}

.prose :where(tbody td:first-child, tfoot td:first-child):not(:where([class~="not-prose"] *)) {
  padding-left: 0;
}

.prose :where(tbody td:last-child, tfoot td:last-child):not(:where([class~="not-prose"] *)) {
  padding-right: 0;
}

.prose :where(.prose > :first-child):not(:where([class~="not-prose"] *)) {
  margin-top: 0;
}

.prose :where(.prose > :last-child):not(:where([class~="not-prose"] *)) {
  margin-bottom: 0;
}

.prose :where(kbd):not(:where([class~="not-prose"] *)) {
  background-color: rgba(var(--color-neutral-200), 1);
  padding: 0.1rem 0.4rem;
  border-radius: 0.25rem;
  font-size: 0.9rem;
  font-weight: 600;
}

.prose :where(mark):not(:where([class~="not-prose"] *)) {
  color: rgba(var(--color-neutral-800), 1);
  background-color: rgba(var(--color-secondary-200), 1);
  padding: 0.1rem 0.2rem;
  border-radius: 0.12rem;
}

body a,
body button {
  transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

/* Scale SVG icons to text size */

.icon svg {
  height: 1em;
  width: 1em;
}

/* Search */

#search-query::-webkit-search-cancel-button,
#search-query::-webkit-search-decoration,
#search-query::-webkit-search-results-button,
#search-query::-webkit-search-results-decoration {
  display: none;
}

/* Hamburger menu */

body:has(#menu-controller:checked) {
  overflow-y: hidden;
}

#menu-button:has(#menu-controller:checked) {
  visibility: hidden;
}

#menu-controller:checked ~ #menu-wrapper {
  visibility: visible;
  opacity: 1;
}

/* RTL support */

[dir="rtl"] .prose blockquote {
  border-left-width: 0px;
  border-right-width: 4px;
  padding-right: 1rem;
}

[dir="rtl"] .prose ul > li,[dir="rtl"] 
.prose ol > li {
  margin-right: 1.75rem;
  padding-left: 0px;
  padding-right: 0.5rem;
}

[dir="rtl"] .prose ol > li:before,[dir="rtl"] 
.prose ul > li:before {
  left: auto;
  right: 0.25rem;
}

[dir="rtl"] .prose thead td:first-child,[dir="rtl"] 
.prose thead th:first-child {
  padding-right: 0px;
}

[dir="rtl"] .prose thead td:last-child,[dir="rtl"] 
.prose thead th:last-child {
  padding-left: 0px;
}

/* Adjust first child within prose */

.prose div.min-w-0.max-w-prose > *:first-child {
  margin-top: 0.75rem;
}

/* Table of Contents */

.toc ul,
.toc li {
  list-style-type: none;
  padding-left: 0px;
  padding-right: 0px;
  line-height: 1.375;
}

[dir="ltr"] .toc ul ul {
  padding-left: 1rem;
}

[dir="rtl"] .toc ul ul {
  padding-right: 1rem;
}

.toc a {
  font-weight: 400;
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-700), var(--tw-text-opacity));
}

.dark .toc a {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-400), var(--tw-text-opacity));
}

[dir="rtl"] .toc ul > li {
  margin-right: 0px;
}

/* Code Copy */

.highlight-wrapper {
  display: block;
}

.highlight {
  position: relative;
  z-index: 0;
}

.highlight:hover > .copy-button {
  visibility: visible;
}

.copy-button {
  visibility: hidden;
  position: absolute;
  top: 0px;
  right: 0px;
  z-index: 10;
  width: 5rem;
  cursor: pointer;
  white-space: nowrap;
  border-bottom-left-radius: 0.375rem;
  border-top-right-radius: 0.375rem;
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-neutral-200), var(--tw-bg-opacity));
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  font-size: 0.875rem;
  line-height: 1.25rem;
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-700), var(--tw-text-opacity));
  opacity: 0.9;
}

.dark .copy-button {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-neutral-600), var(--tw-bg-opacity));
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-200), var(--tw-text-opacity));
}

.copy-button:hover,
.copy-button:focus,
.copy-button:active,
.copy-button:active:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-100), var(--tw-bg-opacity));
}

.dark .copy-button:hover,.dark 
.copy-button:focus,.dark 
.copy-button:active,.dark 
.copy-button:active:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-600), var(--tw-bg-opacity));
}

.copy-textarea {
  position: absolute;
  z-index: -10;
  opacity: 0.05;
}

/* -- Chroma Highlight -- */

/* Background */

.prose .chroma {
  position: static;
  border-radius: 0.375rem;
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-neutral-50), var(--tw-bg-opacity));
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-700), var(--tw-text-opacity));
}

.dark .prose .chroma {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-neutral-700), var(--tw-bg-opacity));
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-200), var(--tw-text-opacity));
}

/* LineTableTD */

.chroma .lntd,
.chroma .lntd pre {
  margin: 0px;
  border-style: none;
  padding: 0px;
  vertical-align: top;
}

/* LineTable */

.chroma .lntable {
  display: block;
  width: auto;
  overflow: hidden;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  font-size: 1rem;
  line-height: 1.5rem;
  border-spacing: 0;
}

/* LineHighlight */

.chroma .hl {
  margin-left: -1rem;
  margin-right: -1rem;
  display: block;
  width: auto;
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-100), var(--tw-bg-opacity));
  padding-left: 1rem;
  padding-right: 1rem;
}

.dark .chroma .hl {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-900), var(--tw-bg-opacity));
}

.chroma .lntd .hl {
  margin: 0px;
  padding: 0px;
}

/* LineNumbersTable */

/* LineNumbers */

.chroma .lnt,
.chroma .ln {
  margin-right: 0.4em;
  padding-left: 0.4em;
  padding-right: 0.4em;
  padding-top: 0px;
  padding-bottom: 0px;
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-600), var(--tw-text-opacity));
}

.dark .chroma .lnt,.dark 
.chroma .ln {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-300), var(--tw-text-opacity));
}

/* Keyword */

/* KeywordDeclaration */

/* KeywordNamespace */

/* KeywordPseudo */

/* KeywordReserved */

/* NameClass */

/* NameFunctionMagic */

/* NameNamespace */

/* NameVariableClass */

/* Operator */

.chroma .k,
.chroma .kd,
.chroma .kn,
.chroma .kp,
.chroma .kr,
.chroma .nc,
.chroma .fm,
.chroma .nn,
.chroma .vc,
.chroma .o {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-600), var(--tw-text-opacity));
}

.dark .chroma .k,.dark 
.chroma .kd,.dark 
.chroma .kn,.dark 
.chroma .kp,.dark 
.chroma .kr,.dark 
.chroma .nc,.dark 
.chroma .fm,.dark 
.chroma .nn,.dark 
.chroma .vc,.dark 
.chroma .o {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-300), var(--tw-text-opacity));
}

/* KeywordConstant */

.chroma .kc {
  font-weight: 600;
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-400), var(--tw-text-opacity));
}

.dark .chroma .kc {
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-500), var(--tw-text-opacity));
}

/* KeywordType */

/* NameVariable */

/* NameVariableInstance */

/* NameVariableMagic */

/* LiteralNumber */

/* LiteralNumberBin */

/* LiteralNumberFloat */

/* LiteralNumberHex */

/* LiteralNumberInteger */

/* LiteralNumberIntegerLong */

/* LiteralNumberOct */

.chroma .kt,
.chroma .nv,
.chroma .vi,
.chroma .vm,
.chroma .m,
.chroma .mb,
.chroma .mf,
.chroma .mh,
.chroma .mi,
.chroma .il,
.chroma .mo {
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-400), var(--tw-text-opacity));
}

.dark .chroma .kt,.dark 
.chroma .nv,.dark 
.chroma .vi,.dark 
.chroma .vm,.dark 
.chroma .m,.dark 
.chroma .mb,.dark 
.chroma .mf,.dark 
.chroma .mh,.dark 
.chroma .mi,.dark 
.chroma .il,.dark 
.chroma .mo {
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-600), var(--tw-text-opacity));
}

/* Name */

/* NameDecorator */

/* NameEntity */

/* NameLabel */

.chroma .n,
.chroma .nd,
.chroma .ni,
.chroma .nl {
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-900), var(--tw-text-opacity));
}

.dark .chroma .n,.dark 
.chroma .nd,.dark 
.chroma .ni,.dark 
.chroma .nl {
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-200), var(--tw-text-opacity));
}

/* NameAttribute */

/* NameBuiltin */

/* NameBuiltinPseudo */

/* NameOther */

/* NameProperty */

/* NameTag */

.chroma .na,
.chroma .nb,
.chroma .bp,
.chroma .nx,
.chroma .py,
.chroma .nt {
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-800), var(--tw-text-opacity));
}

.dark .chroma .na,.dark 
.chroma .nb,.dark 
.chroma .bp,.dark 
.chroma .nx,.dark 
.chroma .py,.dark 
.chroma .nt {
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-300), var(--tw-text-opacity));
}

/* NameConstant */

/* NameException */

/* NameVariableGlobal */

.chroma .no,
.chroma .ne,
.chroma .vg {
  font-weight: 600;
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-400), var(--tw-text-opacity));
}

.dark .chroma .no,.dark 
.chroma .ne,.dark 
.chroma .vg {
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-500), var(--tw-text-opacity));
}

/* NameFunction */

.chroma .nf {
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-600), var(--tw-text-opacity));
}

.dark .chroma .nf {
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-500), var(--tw-text-opacity));
}

/* Literal */

/* LiteralDate */

/* LiteralString */

/* LiteralStringAffix */

/* LiteralStringBacktick */

/* LiteralStringChar */

/* LiteralStringDelimiter */

/* LiteralStringDoc */

/* LiteralStringDouble */

/* LiteralStringHeredoc */

/* LiteralStringInterpol */

/* LiteralStringOther */

/* LiteralStringSingle */

/* GenericInserted */

/* GenericOutput */

/* GenericPrompt */

.chroma .l,
.chroma .ld,
.chroma .s,
.chroma .sa,
.chroma .sb,
.chroma .sc,
.chroma .dl,
.chroma .sd,
.chroma .s2,
.chroma .sh,
.chroma .si,
.chroma .sx,
.chroma .s1,
.chroma .gi,
.chroma .go,
.chroma .gp {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-800), var(--tw-text-opacity));
}

.dark .chroma .l,.dark 
.chroma .ld,.dark 
.chroma .s,.dark 
.chroma .sa,.dark 
.chroma .sb,.dark 
.chroma .sc,.dark 
.chroma .dl,.dark 
.chroma .sd,.dark 
.chroma .s2,.dark 
.chroma .sh,.dark 
.chroma .si,.dark 
.chroma .sx,.dark 
.chroma .s1,.dark 
.chroma .gi,.dark 
.chroma .go,.dark 
.chroma .gp {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-400), var(--tw-text-opacity));
}

/* LiteralStringEscape */

.chroma .se {
  font-weight: 600;
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-400), var(--tw-text-opacity));
}

.dark .chroma .se {
  --tw-text-opacity: 1;
  color: rgba(var(--color-secondary-500), var(--tw-text-opacity));
}

/* LiteralStringRegex */

/* LiteralStringSymbol */

.chroma .sr,
.chroma .ss {
  font-weight: 600;
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-800), var(--tw-text-opacity));
}

.dark .chroma .sr,.dark 
.chroma .ss {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-400), var(--tw-text-opacity));
}

/* OperatorWord */

.chroma .ow {
  font-weight: 600;
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-400), var(--tw-text-opacity));
}

.dark .chroma .ow {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-600), var(--tw-text-opacity));
}

/* Comment */

/* CommentMultiline */

/* CommentSingle */

/* CommentSpecial */

/* CommentPreproc */

/* CommentPreprocFile */

.chroma .c,
.chroma .cm,
.chroma .c1,
.chroma .cs,
.chroma .cp,
.chroma .cpf {
  font-style: italic;
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-500), var(--tw-text-opacity));
}

.dark .chroma .c,.dark 
.chroma .cm,.dark 
.chroma .c1,.dark 
.chroma .cs,.dark 
.chroma .cp,.dark 
.chroma .cpf {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-400), var(--tw-text-opacity));
}

/* CommentHashbang */

.chroma .ch {
  font-weight: 600;
  font-style: italic;
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-500), var(--tw-text-opacity));
}

.dark .chroma .ch {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-400), var(--tw-text-opacity));
}

/* GenericEmph */

.chroma .ge {
  font-style: italic;
}

/* GenericHeading */

.chroma .gh {
  font-weight: 600;
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-500), var(--tw-text-opacity));
}

/* GenericStrong */

.chroma .gs {
  font-weight: 600;
}

/* GenericSubheading */

/* GenericTraceback */

.chroma .gu,
.chroma .gt {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-500), var(--tw-text-opacity));
}

/* GenericUnderline */

.chroma .gl {
  text-decoration-line: underline;
}

.pointer-events-none {
  pointer-events: none;
}

.pointer-events-auto {
  pointer-events: auto;
}

.invisible {
  visibility: hidden;
}

.fixed {
  position: fixed;
}

.absolute {
  position: absolute;
}

.relative {
  position: relative;
}

.sticky {
  position: sticky;
}

.inset-0 {
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
}

.top-\[100vh\] {
  top: 100vh;
}

.bottom-0 {
  bottom: 0px;
}

.top-\[calc\(100vh-5\.5rem\)\] {
  top: calc(100vh - 5.5rem);
}

.top-20 {
  top: 5rem;
}

.top-0 {
  top: 0px;
}

.z-50 {
  z-index: 50;
}

.z-10 {
  z-index: 10;
}

.z-40 {
  z-index: 40;
}

.z-30 {
  z-index: 30;
}

.order-first {
  order: -9999;
}

.m-auto {
  margin: auto;
}

.m-1 {
  margin: 0.25rem;
}

.-mx-2 {
  margin-left: -0.5rem;
  margin-right: -0.5rem;
}

.my-3 {
  margin-top: 0.75rem;
  margin-bottom: 0.75rem;
}

.my-1 {
  margin-top: 0.25rem;
  margin-bottom: 0.25rem;
}

.mx-1 {
  margin-left: 0.25rem;
  margin-right: 0.25rem;
}

.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.my-0 {
  margin-top: 0px;
  margin-bottom: 0px;
}

.mb-3 {
  margin-bottom: 0.75rem;
}

.mt-8 {
  margin-top: 2rem;
}

.mb-12 {
  margin-bottom: 3rem;
}

.mt-0 {
  margin-top: 0px;
}

.mt-12 {
  margin-top: 3rem;
}

.mt-10 {
  margin-top: 2.5rem;
}

.mt-6 {
  margin-top: 1.5rem;
}

.mb-6 {
  margin-bottom: 1.5rem;
}

.-mt-4 {
  margin-top: -1rem;
}

.mr-2 {
  margin-right: 0.5rem;
}

.ml-2 {
  margin-left: 0.5rem;
}

.mt-\[0\.1rem\] {
  margin-top: 0.1rem;
}

.\!mt-0 {
  margin-top: 0px !important;
}

.\!mb-0 {
  margin-bottom: 0px !important;
}

.mb-1 {
  margin-bottom: 0.25rem;
}

.mb-2 {
  margin-bottom: 0.5rem;
}

.-mb-1 {
  margin-bottom: -0.25rem;
}

.\!mb-9 {
  margin-bottom: 2.25rem !important;
}

.mt-1 {
  margin-top: 0.25rem;
}

.mb-\[2px\] {
  margin-bottom: 2px;
}

.block {
  display: block;
}

.inline-block {
  display: inline-block;
}

.inline {
  display: inline;
}

.flex {
  display: flex;
}

.hidden {
  display: none;
}

.h-screen {
  height: 100vh;
}

.h-12 {
  height: 3rem;
}

.h-24 {
  height: 6rem;
}

.h-8 {
  height: 2rem;
}

.h-full {
  height: 100%;
}

.h-36 {
  height: 9rem;
}

.max-h-\[10rem\] {
  max-height: 10rem;
}

.min-h-0 {
  min-height: 0px;
}

.w-12 {
  width: 3rem;
}

.w-36 {
  width: 9rem;
}

.w-full {
  width: 100%;
}

.w-24 {
  width: 6rem;
}

.w-screen {
  width: 100vw;
}

.w-8 {
  width: 2rem;
}

.w-6 {
  width: 1.5rem;
}

.min-w-0 {
  min-width: 0px;
}

.min-w-\[1\.8rem\] {
  min-width: 1.8rem;
}

.min-w-\[2\.4rem\] {
  min-width: 2.4rem;
}

.max-w-7xl {
  max-width: 80rem;
}

.max-w-full {
  max-width: 100%;
}

.max-w-prose {
  max-width: 65ch;
}

.max-w-\[10rem\] {
  max-width: 10rem;
}

.max-w-3xl {
  max-width: 48rem;
}

.flex-none {
  flex: none;
}

.flex-auto {
  flex: 1 1 auto;
}

.grow {
  flex-grow: 1;
}

.-translate-y-8 {
  --tw-translate-y: -2rem;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.cursor-default {
  cursor: default;
}

.cursor-pointer {
  cursor: pointer;
}

.list-none {
  list-style-type: none;
}

.appearance-none {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
}

.flex-row {
  flex-direction: row;
}

.flex-col {
  flex-direction: column;
}

.flex-wrap {
  flex-wrap: wrap;
}

.items-start {
  align-items: flex-start;
}

.items-center {
  align-items: center;
}

.justify-center {
  justify-content: center;
}

.justify-between {
  justify-content: space-between;
}

.place-self-center {
  place-self: center;
}

.self-center {
  align-self: center;
}

.overflow-auto {
  overflow: auto;
}

.overflow-hidden {
  overflow: hidden;
}

.overflow-visible {
  overflow: visible;
}

.scroll-smooth {
  scroll-behavior: smooth;
}

.rounded-full {
  border-radius: 9999px;
}

.rounded-md {
  border-radius: 0.375rem;
}

.rounded {
  border-radius: 0.25rem;
}

.rounded-lg {
  border-radius: 0.5rem;
}

.\!rounded-md {
  border-radius: 0.375rem !important;
}

.rounded-b-lg {
  border-bottom-right-radius: 0.5rem;
  border-bottom-left-radius: 0.5rem;
}

.border {
  border-width: 1px;
}

.border-t {
  border-top-width: 1px;
}

.border-dotted {
  border-style: dotted;
}

.border-neutral-400 {
  --tw-border-opacity: 1;
  border-color: rgba(var(--color-neutral-400), var(--tw-border-opacity));
}

.border-neutral-300 {
  --tw-border-opacity: 1;
  border-color: rgba(var(--color-neutral-300), var(--tw-border-opacity));
}

.border-neutral-200 {
  --tw-border-opacity: 1;
  border-color: rgba(var(--color-neutral-200), var(--tw-border-opacity));
}

.border-primary-400 {
  --tw-border-opacity: 1;
  border-color: rgba(var(--color-primary-400), var(--tw-border-opacity));
}

.bg-neutral {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-neutral), var(--tw-bg-opacity));
}

.bg-primary-200 {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-200), var(--tw-bg-opacity));
}

.bg-neutral\/50 {
  background-color: rgba(var(--color-neutral), 0.5);
}

.bg-neutral-500\/50 {
  background-color: rgba(var(--color-neutral-500), 0.5);
}

.bg-transparent {
  background-color: transparent;
}

.bg-neutral-100 {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-neutral-100), var(--tw-bg-opacity));
}

.bg-neutral-300 {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-neutral-300), var(--tw-bg-opacity));
}

.bg-primary-100 {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-100), var(--tw-bg-opacity));
}

.bg-primary-600 {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-600), var(--tw-bg-opacity));
}

.bg-neutral-100\/50 {
  background-color: rgba(var(--color-neutral-100), 0.5);
}

.object-scale-down {
  -o-object-fit: scale-down;
     object-fit: scale-down;
}

.object-left {
  -o-object-position: left;
     object-position: left;
}

.p-4 {
  padding: 1rem;
}

.p-1 {
  padding: 0.25rem;
}

.px-6 {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

.px-3 {
  padding-left: 0.75rem;
  padding-right: 0.75rem;
}

.py-1 {
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.px-0 {
  padding-left: 0px;
  padding-right: 0px;
}

.py-8 {
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.px-2 {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

.px-1 {
  padding-left: 0.25rem;
  padding-right: 0.25rem;
}

.py-\[1px\] {
  padding-top: 1px;
  padding-bottom: 1px;
}

.py-10 {
  padding-top: 2.5rem;
  padding-bottom: 2.5rem;
}

.py-2 {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.px-4 {
  padding-left: 1rem;
  padding-right: 1rem;
}

.py-3 {
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
}

.py-6 {
  padding-top: 1.5rem;
  padding-bottom: 1.5rem;
}

.pt-8 {
  padding-top: 2rem;
}

.pt-3 {
  padding-top: 0.75rem;
}

.pr-4 {
  padding-right: 1rem;
}

.pl-2 {
  padding-left: 0.5rem;
}

.pb-4 {
  padding-bottom: 1rem;
}

.pt-4 {
  padding-top: 1rem;
}

.text-center {
  text-align: center;
}

.text-right {
  text-align: right;
}

.align-top {
  vertical-align: top;
}

.align-text-bottom {
  vertical-align: text-bottom;
}

.text-4xl {
  font-size: 2.25rem;
  line-height: 2.5rem;
}

.text-lg {
  font-size: 1.125rem;
  line-height: 1.75rem;
}

.text-sm {
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.text-xl {
  font-size: 1.25rem;
  line-height: 1.75rem;
}

.text-2xl {
  font-size: 1.5rem;
  line-height: 2rem;
}

.text-base {
  font-size: 1rem;
  line-height: 1.5rem;
}

.text-xs {
  font-size: 0.75rem;
  line-height: 1rem;
}

.text-\[0\.6rem\] {
  font-size: 0.6rem;
}

.font-extrabold {
  font-weight: 800;
}

.font-bold {
  font-weight: 700;
}

.font-medium {
  font-weight: 500;
}

.font-semibold {
  font-weight: 600;
}

.font-normal {
  font-weight: 400;
}

.uppercase {
  text-transform: uppercase;
}

.italic {
  font-style: italic;
}

.leading-7 {
  line-height: 1.75rem;
}

.leading-6 {
  line-height: 1.5rem;
}

.leading-3 {
  line-height: .75rem;
}

.text-neutral-400 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-400), var(--tw-text-opacity));
}

.text-neutral-900 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-900), var(--tw-text-opacity));
}

.text-primary-600 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-600), var(--tw-text-opacity));
}

.text-neutral-700 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-700), var(--tw-text-opacity));
}

.text-neutral-500 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-500), var(--tw-text-opacity));
}

.text-primary-500 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-500), var(--tw-text-opacity));
}

.text-neutral-800 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-800), var(--tw-text-opacity));
}

.text-primary-700 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-700), var(--tw-text-opacity));
}

.text-primary-400 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-400), var(--tw-text-opacity));
}

.\!text-neutral {
  --tw-text-opacity: 1 !important;
  color: rgba(var(--color-neutral), var(--tw-text-opacity)) !important;
}

.\!no-underline {
  text-decoration-line: none !important;
}

.decoration-primary-500 {
  text-decoration-color: rgba(var(--color-primary-500), 1);
}

.decoration-neutral-300 {
  text-decoration-color: rgba(var(--color-neutral-300), 1);
}

.opacity-0 {
  opacity: 0;
}

.shadow-lg {
  --tw-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
  --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

.backdrop-blur {
  --tw-backdrop-blur: blur(8px);
  -webkit-backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);
          backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);
}

.backdrop-blur-sm {
  --tw-backdrop-blur: blur(4px);
  -webkit-backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);
          backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);
}

.transition-transform {
  transition-property: transform;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.transition-opacity {
  transition-property: opacity;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.first\:mt-8:first-child {
  margin-top: 2rem;
}

.hover\:scale-125:hover {
  --tw-scale-x: 1.25;
  --tw-scale-y: 1.25;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.hover\:border-primary-300:hover {
  --tw-border-opacity: 1;
  border-color: rgba(var(--color-primary-300), var(--tw-border-opacity));
}

.hover\:bg-primary-600:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-600), var(--tw-bg-opacity));
}

.hover\:bg-primary-100:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-100), var(--tw-bg-opacity));
}

.hover\:bg-primary-500:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-500), var(--tw-bg-opacity));
}

.hover\:\!bg-primary-500:hover {
  --tw-bg-opacity: 1 !important;
  background-color: rgba(var(--color-primary-500), var(--tw-bg-opacity)) !important;
}

.hover\:text-primary-600:hover {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-600), var(--tw-text-opacity));
}

.hover\:text-primary-700:hover {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-700), var(--tw-text-opacity));
}

.hover\:text-primary-500:hover {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-500), var(--tw-text-opacity));
}

.hover\:text-neutral:hover {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral), var(--tw-text-opacity));
}

.hover\:underline:hover {
  text-decoration-line: underline;
}

.hover\:decoration-primary-400:hover {
  text-decoration-color: rgba(var(--color-primary-400), 1);
}

.hover\:decoration-2:hover {
  text-decoration-thickness: 2px;
}

.hover\:underline-offset-2:hover {
  text-underline-offset: 2px;
}

.focus\:translate-y-0:focus {
  --tw-translate-y: 0px;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.focus\:bg-primary-100:focus {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-100), var(--tw-bg-opacity));
}

.focus\:outline-dotted:focus {
  outline-style: dotted;
}

.focus\:outline-2:focus {
  outline-width: 2px;
}

.focus\:outline-transparent:focus {
  outline-color: transparent;
}

.group:hover .group-hover\:-translate-x-\[2px\] {
  --tw-translate-x: -2px;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.group:hover .group-hover\:translate-x-\[2px\] {
  --tw-translate-x: 2px;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.group:hover .group-hover\:text-primary-600 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-600), var(--tw-text-opacity));
}

.group:hover .group-hover\:text-primary-300 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-300), var(--tw-text-opacity));
}

.group:hover .group-hover\:underline {
  text-decoration-line: underline;
}

.group:hover .group-hover\:decoration-primary-500 {
  text-decoration-color: rgba(var(--color-primary-500), 1);
}

.group:hover .group-hover\:opacity-100 {
  opacity: 1;
}

[dir="ltr"] .ltr\:right-0 {
  right: 0px;
}

[dir="ltr"] .ltr\:-left-6 {
  left: -1.5rem;
}

[dir="ltr"] .ltr\:ml-2 {
  margin-left: 0.5rem;
}

[dir="ltr"] .ltr\:mr-4 {
  margin-right: 1rem;
}

[dir="ltr"] .ltr\:ml-1 {
  margin-left: 0.25rem;
}

[dir="ltr"] .ltr\:mr-14 {
  margin-right: 3.5rem;
}

[dir="ltr"] .ltr\:-ml-5 {
  margin-left: -1.25rem;
}

[dir="ltr"] .ltr\:block {
  display: block;
}

[dir="ltr"] .ltr\:inline {
  display: inline;
}

[dir="ltr"] .ltr\:hidden {
  display: none;
}

[dir="ltr"] .ltr\:border-l {
  border-left-width: 1px;
}

[dir="ltr"] .ltr\:pr-2 {
  padding-right: 0.5rem;
}

[dir="ltr"] .ltr\:pl-5 {
  padding-left: 1.25rem;
}

[dir="ltr"] .ltr\:pr-3 {
  padding-right: 0.75rem;
}

[dir="ltr"] .ltr\:text-right {
  text-align: right;
}

[dir="rtl"] .rtl\:left-0 {
  left: 0px;
}

[dir="rtl"] .rtl\:-right-6 {
  right: -1.5rem;
}

[dir="rtl"] .rtl\:mr-2 {
  margin-right: 0.5rem;
}

[dir="rtl"] .rtl\:ml-4 {
  margin-left: 1rem;
}

[dir="rtl"] .rtl\:mr-1 {
  margin-right: 0.25rem;
}

[dir="rtl"] .rtl\:ml-14 {
  margin-left: 3.5rem;
}

[dir="rtl"] .rtl\:-mr-5 {
  margin-right: -1.25rem;
}

[dir="rtl"] .rtl\:block {
  display: block;
}

[dir="rtl"] .rtl\:inline {
  display: inline;
}

[dir="rtl"] .rtl\:hidden {
  display: none;
}

[dir="rtl"] .rtl\:border-r {
  border-right-width: 1px;
}

[dir="rtl"] .rtl\:pl-2 {
  padding-left: 0.5rem;
}

[dir="rtl"] .rtl\:pr-5 {
  padding-right: 1.25rem;
}

[dir="rtl"] .rtl\:pl-3 {
  padding-left: 0.75rem;
}

[dir="rtl"] .rtl\:text-left {
  text-align: left;
}

.dark .dark\:flex {
  display: flex;
}

.dark .dark\:hidden {
  display: none;
}

.dark .dark\:border-neutral-600 {
  --tw-border-opacity: 1;
  border-color: rgba(var(--color-neutral-600), var(--tw-border-opacity));
}

.dark .dark\:border-primary-600 {
  --tw-border-opacity: 1;
  border-color: rgba(var(--color-primary-600), var(--tw-border-opacity));
}

.dark .dark\:border-neutral-700 {
  --tw-border-opacity: 1;
  border-color: rgba(var(--color-neutral-700), var(--tw-border-opacity));
}

.dark .dark\:bg-neutral-800 {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-neutral-800), var(--tw-bg-opacity));
}

.dark .dark\:bg-neutral-600 {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-neutral-600), var(--tw-bg-opacity));
}

.dark .dark\:bg-neutral-800\/50 {
  background-color: rgba(var(--color-neutral-800), 0.5);
}

.dark .dark\:bg-primary-400 {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-400), var(--tw-bg-opacity));
}

.dark .dark\:bg-neutral-900\/50 {
  background-color: rgba(var(--color-neutral-900), 0.5);
}

.dark .dark\:bg-neutral-700 {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-neutral-700), var(--tw-bg-opacity));
}

.dark .dark\:bg-primary-900 {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-900), var(--tw-bg-opacity));
}

.dark .dark\:bg-primary-800 {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-800), var(--tw-bg-opacity));
}

.dark .dark\:prose-invert {
  --tw-prose-body: var(--tw-prose-invert-body);
  --tw-prose-headings: var(--tw-prose-invert-headings);
  --tw-prose-lead: var(--tw-prose-invert-lead);
  --tw-prose-links: var(--tw-prose-invert-links);
  --tw-prose-bold: var(--tw-prose-invert-bold);
  --tw-prose-counters: var(--tw-prose-invert-counters);
  --tw-prose-bullets: var(--tw-prose-invert-bullets);
  --tw-prose-hr: var(--tw-prose-invert-hr);
  --tw-prose-quotes: var(--tw-prose-invert-quotes);
  --tw-prose-quote-borders: var(--tw-prose-invert-quote-borders);
  --tw-prose-captions: var(--tw-prose-invert-captions);
  --tw-prose-code: var(--tw-prose-invert-code);
  --tw-prose-pre-code: var(--tw-prose-invert-pre-code);
  --tw-prose-pre-bg: var(--tw-prose-invert-pre-bg);
  --tw-prose-th-borders: var(--tw-prose-invert-th-borders);
  --tw-prose-td-borders: var(--tw-prose-invert-td-borders);
}

.dark .dark\:prose-invert :where(a):not(:where([class~="not-prose"] *)) {
  text-decoration-color: rgba(var(--color-neutral-600), 1);
}

.dark .dark\:prose-invert :where(kbd):not(:where([class~="not-prose"] *)) {
  color: rgba(var(--color-neutral-200), 1);
  background-color: rgba(var(--color-neutral-700), 1);
}

.dark .dark\:prose-invert :where(mark):not(:where([class~="not-prose"] *)) {
  background-color: rgba(var(--color-secondary-400), 1);
}

.dark .dark\:text-neutral-500 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-500), var(--tw-text-opacity));
}

.dark .dark\:text-neutral {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral), var(--tw-text-opacity));
}

.dark .dark\:text-primary-400 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-400), var(--tw-text-opacity));
}

.dark .dark\:text-neutral-300 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-300), var(--tw-text-opacity));
}

.dark .dark\:text-neutral-400 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-400), var(--tw-text-opacity));
}

.dark .dark\:text-neutral-800 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-800), var(--tw-text-opacity));
}

.dark .dark\:text-neutral-100 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-100), var(--tw-text-opacity));
}

.dark .dark\:hover\:border-primary-600:hover {
  --tw-border-opacity: 1;
  border-color: rgba(var(--color-primary-600), var(--tw-border-opacity));
}

.dark .dark\:hover\:bg-primary-900:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-900), var(--tw-bg-opacity));
}

.dark .dark\:hover\:bg-primary-400:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-400), var(--tw-bg-opacity));
}

.dark .dark\:hover\:\!bg-primary-700:hover {
  --tw-bg-opacity: 1 !important;
  background-color: rgba(var(--color-primary-700), var(--tw-bg-opacity)) !important;
}

.dark .dark\:hover\:text-primary-400:hover {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-400), var(--tw-text-opacity));
}

.dark .dark\:hover\:text-neutral-800:hover {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-800), var(--tw-text-opacity));
}

.dark .dark\:focus\:bg-primary-900:focus {
  --tw-bg-opacity: 1;
  background-color: rgba(var(--color-primary-900), var(--tw-bg-opacity));
}

.dark .group:hover .dark\:group-hover\:text-primary-400 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-primary-400), var(--tw-text-opacity));
}

.dark .group:hover .dark\:group-hover\:text-neutral-700 {
  --tw-text-opacity: 1;
  color: rgba(var(--color-neutral-700), var(--tw-text-opacity));
}

@media print {
  .print\:hidden {
    display: none;
  }
}

@media (min-width: 640px) {
  .sm\:mb-0 {
    margin-bottom: 0px;
  }

  .sm\:flex {
    display: flex;
  }

  .sm\:hidden {
    display: none;
  }

  .sm\:w-1\/2 {
    width: 50%;
  }

  .sm\:w-40 {
    width: 10rem;
  }

  .sm\:flex-row {
    flex-direction: row;
  }

  .sm\:items-center {
    align-items: center;
  }

  .sm\:p-6 {
    padding: 1.5rem;
  }

  .sm\:px-14 {
    padding-left: 3.5rem;
    padding-right: 3.5rem;
  }

  .sm\:py-10 {
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
  }

  .sm\:pr-6 {
    padding-right: 1.5rem;
  }

  .sm\:pt-10 {
    padding-top: 2.5rem;
  }

  .sm\:text-lg {
    font-size: 1.125rem;
    line-height: 1.75rem;
  }

  [dir="ltr"] .ltr\:sm\:mr-7 {
    margin-right: 1.75rem;
  }

  [dir="ltr"] .ltr\:sm\:last\:mr-0:last-child {
    margin-right: 0px;
  }

  [dir="rtl"] .rtl\:sm\:ml-7 {
    margin-left: 1.75rem;
  }

  [dir="rtl"] .rtl\:sm\:last\:ml-0:last-child {
    margin-left: 0px;
  }
}

@media (min-width: 768px) {
  .md\:w-1\/3 {
    width: 33.333333%;
  }

  .md\:p-\[10vh\] {
    padding: 10vh;
  }

  .md\:px-24 {
    padding-left: 6rem;
    padding-right: 6rem;
  }
}

@media (min-width: 1024px) {
  .lg\:sticky {
    position: sticky;
  }

  .lg\:top-10 {
    top: 2.5rem;
  }

  .lg\:order-last {
    order: 9999;
  }

  .lg\:hidden {
    display: none;
  }

  .lg\:w-1\/4 {
    width: 25%;
  }

  .lg\:max-w-xs {
    max-width: 20rem;
  }

  .lg\:flex-row {
    flex-direction: row;
  }

  .lg\:p-\[12vh\] {
    padding: 12vh;
  }

  .lg\:px-32 {
    padding-left: 8rem;
    padding-right: 8rem;
  }

  [dir="ltr"] .ltr\:lg\:pl-8 {
    padding-left: 2rem;
  }

  [dir="rtl"] .rtl\:lg\:pr-8 {
    padding-right: 2rem;
  }
}

@media (min-width: 1280px) {
  .xl\:w-1\/5 {
    width: 20%;
  }
}
